Структура документа

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Document structure and the translation is 100% complete.
Other languages:
Bahasa Indonesia • ‎Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎hrvatski • ‎italiano • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎български • ‎русский • ‎українська • ‎中文 • ‎中文(中国大陆)‎ • ‎한국어
Screenshot treeview.jpg

Документ FreeCAD содержит все объекты проекта. Он может содержать группы, и предметы, сделанные с любого инструментария(workbench). Поэтому вы можете переключаться между инструментариями, и до сих пор работать на том же документе. Получившийся документ будет сохранён на диске при сохранении работы. В FreeCAD, вы также можете открывать несколько документов одновременно и открыть несколько видов одного и того же документа.

В документе объекты могут быть помещены в группы и им можно присвоить уникальные имена. Управлять группами, объектами и именами объектов осуществляется главным образом с помощью древовидного списка. примечание: Также это можно сделать, как и всё в FreeCAD, с помощью интерпретатора Python. В древовидном списке вы можете создавать Std Group.svg группы, перемещать объекты в группы, удалять объекты или группы, кликнув правой клавишей на объект в древовидном списке, переименуйте объекты. Также можно переименовать объект выделив его в древовидном списке и нажав F2, также возможны другие комбинации в зависимости от текущего инструментария.

Объекты входящие в FreeCAD документ могут быть различных типов. Каждый инструментарий может создать свои собственные типы объектов, для примера Workbench Mesh.svg Верстак полигонального моделирования создаёт объекты состоящие из полигонов, Workbench Part.svg Верстак Деталей создает детали, Workbench Draft.svg Чертежный Верстак также создаёт детали, и т.д.

Если есть по крайней мере один документ открытый в FreeCAD, всегда есть один и только один активный документ. Этот документ отображается в текущем окне 3D просмотра, это документ над которым вы сейчас работаете.

Приложения и интерфейс пользователя

Как почти все в FreeCAD, графический пользовательский интерфейс(GUI) отделен от основной части приложения(App). Также и с документами. Документы также состоят из двух частей: документ Приложение, содержащий ваши объекты, и документ как Вид, который содержит представление на экране наших объектов.

Думайте об этом как о двух местах, где определены ваши объекты. Их конструктивные параметры (это куб? конус? его размер?) хранятся в документе Приложении, а их графическое представление (отображать его в черных линиях? с синими гранями?) хранятся в части документ Вид. Зачем это сделано? Потому что FreeCAD может быть использован без графического интерфейса, например в других программах, и мы должны быть в состоянии управлять нашими объектами, даже если ничего не будет отображаться на экране.

Еще в части документа Вид содержатся объёмные виды. Один документ может иметь несколько открытых видов, так что вы можете просматривать ваш документ одновременно с нескольких точек зрения. Может быть вы хотели бы одновременно смотреть на ваш объект спереди и сверху? Тогда в вашем документе будет две части Вид документа. Создать новые виды или закрыть старые виды можно с помощью меню Вид или кликнув правой кнопкой мыши по закладке вида.

Написание сценариев

Документы легко могут быть созданы и изменены с помощью интерпретатора Python. Например:

FreeCAD.ActiveDocument

Вернет текущий (активный) документ

FreeCAD.ActiveDocument.Blob

Даст доступ к объекту с именем "Blob" внутри вашего документа

FreeCADGui.ActiveDocument

Вернет вид-документ связаный с текущим документом

FreeCADGui.ActiveDocument.Blob

Получить доступ к графическому представлению (виду) объекта с именем Blob

FreeCADGui.ActiveDocument.ActiveView

Вернет текущий активный вид.